import { apiUrls } from './api.urls';
import { RESEND_TYPE } from './constants';

export class apiService {

  /**
   * @param template_id 
   * @param number 
   * @param token 
   * @returns 
   */
  static async generateOTP(template_id, number, token, body) {
    return fetch(apiUrls.generateOTP.replace(':template_id', template_id).replace(':number', number).replace(':token', token),
      {
        method: 'POST',
        body: JSON.stringify(body)
      }
    ).then(res => {
      return res;
    });
  }

  /**
   * @param otp 
   * @param number 
   * @param token 
   * @returns 
   */
  static async verifyOTP(otp, number, token, body) {
    return fetch(apiUrls.verifyOTP.replace(':otp', otp).replace(':number', number).replace(':token', token), {
      method: "POST",
      body: JSON.stringify(body)
    }).then(res => {
      return res;
    });
  }

  /**
   * @param number 
   * @param token 
   * @param type 
   * @returns 
   */
  static async resendOTP(number, token, type = RESEND_TYPE.VOICE) {
    return fetch(apiUrls.resendOTP.replace(':type', type).replace(':number', number).replace(':token', token)).then(res => {
      return res;
    });
  }
}
